Bug 59877 - dmfe NIC module installed incorrectly
dmfe NIC module installed incorrectly
Product: Red Hat Linux
Classification: Retired
Component: kudzu (Show other bugs)
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Bill Nottingham
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-02-14 07:47 EST by Fred New
Modified: 2014-03-16 22:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-02-14 07:50:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Fred New 2002-02-14 07:47:36 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98; Q312461)

Description of problem:
The installer appears to detect my Davicom DM9102 NIC correctly in the 
installation log (as viewed on one of the virtual consoles at the end of the 
installation) but when I reboot and perform "modprobe -c", I see, "alias eth0 
tulip".  Furthermore, the Network Configuration in Gnome shows, "DEC 
21040...".  Finally, "ifconfig eth0" shows a bunch of errors: RX packets:230 
errors:710 .. TX packets:0 errors:4.

If I use the Gnome Network Configuration to delete the DEC 21040 and add 
Davicom DM9102, the errors shown by ifconfig go away.  (Actually, Network 
Configuration didn't permit me to install the DM9102 in until after I had 
installed the latest updates to the system, including kernel-2.4.9-21.i686.rpm.)

Since this is an installation problem, I wouldn't expect this bug to be 
corrected until the next version, but I would expect to see something about it 
in a Bugzilla query of "dmfe".

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install RH 7.2 from CD
2. /sbin/modprobe -c | grep eth0

Actual Results:  alias eth0 tulip

Expected Results:  alias eth0 dmfe

Additional info:

The NIC device is a CNet Pro200, CNet Technology Inc. http://www.cnet.com.tw/
The hardware address is 00:80:AD:76:78:6B (in case this is used for detection 
of the device type.)
Comment 1 Bill Nottingham 2002-02-15 00:34:42 EST
Will be fixed in hwdata-0.3-1.

Note You need to log in before you can comment on or make changes to this bug.